Get Plans
API to fetch list of plans based on a set of filters ### Planning failure reasons When an order is left unplanned by automated planning, `planning_failure_reason` may contain one of these values: - `No Worker was available for this plan.` - `No Worker schedule overlaps with this order's time window.` - `This order is outside the available Worker working hours.` - `Worker location is unavailable, so travel time could not be evaluated.` - `Worker start location is unavailable for the configured route start setting.` - `No Worker supports the required product type for this order.` - `Route was being modified concurrently and this order needs to be re-planned.` - `The optimizer dropped this order to satisfy planning constraints for the overall plan.` - `The optimizer could not find a feasible plan for the provided constraints.` - `Travel time calculation failed for this planning attempt.` - `Ops group configuration is incomplete for automated planning.` - `Assigning this order would exceed route or Worker capacity.` - `No Worker can reach this order before scheduled_at.` - `Assigning this order would delay an already planned downstream order.` - `Assigning this order would exceed the Worker's shift end time.` - `Automated planning could not assign this order with the provided constraints.`
API to fetch list of plans based on a set of filters
Planning failure reasons
When an order is left unplanned by automated planning, planning_failure_reason may contain one of these values:
No Worker was available for this plan.No Worker schedule overlaps with this order's time window.This order is outside the available Worker working hours.Worker location is unavailable, so travel time could not be evaluated.Worker start location is unavailable for the configured route start setting.No Worker supports the required product type for this order.Route was being modified concurrently and this order needs to be re-planned.The optimizer dropped this order to satisfy planning constraints for the overall plan.The optimizer could not find a feasible plan for the provided constraints.Travel time calculation failed for this planning attempt.Ops group configuration is incomplete for automated planning.Assigning this order would exceed route or Worker capacity.No Worker can reach this order before scheduled_at.Assigning this order would delay an already planned downstream order.Assigning this order would exceed the Worker's shift end time.Automated planning could not assign this order with the provided constraints.
In: header
Query Parameters
Date (YYYY-MM-DD) used as a filter to retrieve plans that are fulfilled on a given date.
Unique Handle of Ops Group to fetch plans for
Encoded value provided by our API to retrieve the next page of plans
String representation of Plan status to fetch plans for.
String indicating the preferred sorting type
Flag to fetch summary also for each plan.
Number of plans to be fetched.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/orders/plans/"{ "plans": [ { "plan_id": "352a45c3-99b7-4528-9eca-a6f318c2ca23", "status": "failed", "started_at": "2023-10-19T12:34:45.000Z", "fulfillment_date": "2023-10-19", "created_at": "2023-10-19T12:32:45.000Z", "ops_group_handle": "d57deee8-d75f-4db5-ad37-4985ddcb47ac", "sequence_number": 2, "failure_reason": "No Workers Available", "routes": [ { "route_handle": "route-1", "ops_group_handle": "SAN_JOSE_WH", "plan_mode": "manual", "status": "completed", "completed_at": "2023-03-14T23:55:00Z", "worker_handle": "James", "version": 1, "estimate": { "start_by": "2023-03-14T23:20:00Z", "distance": 1000, "duration": 600, "polyline": { "type": "LineString", "coordinates": [ [ 77.72123, 12.89617 ], [ 77.72169, 12.89595 ], [ 77.72214, 12.89572 ] ] }, "start_location": { "type": "Point", "coordinates": [ -121.8924515, 37.4124516 ] }, "end_location": { "type": "Point", "coordinates": [ -121.8984515, 37.5124516 ] } }, "orders": [ { "order_handle": "order-101", "fulfillment_attempt": 1, "status": "completed", "completed_at": "2023-03-14T23:55:00Z", "ops_group_handle": "store-sjc", "worker_handle": "James", "device_id": "2F659D4D-B524-45F0-A6E2-093CF2BB5574", "created_at": "2023-03-14T23:00:00Z", "scheduled_at": "2023-03-14T23:50:00Z", "scheduled_after": "2023-03-14T23:20:00Z", "metadata": { "customerId": "1223344" }, "region": { "city": "Fremont", "state": "California", "country": "United States of America" }, "destination": { "geometry": { "type": "Point", "coordinates": [ -121.8984515, 37.5124516 ] }, "radius": 50, "address": "Mission Peak, Fremont CA 94539" }, "risk_status": false, "expected_service_time": 600, "product_type": [ "plumber" ], "type": "drop", "capacity_used": 5 } ], "device_id": "2F659D4D-B524-45F0-A6E2-093CF2BB5574", "metadata": { "customerId": "4255534", "zone": 4 }, "embed_url": "https://embed.hypertrack.com/dkdkddnd" } ], "unplanned_orders": [ { "order_handle": "ORD_1223", "status": "unplanned", "type": "drop", "planning_failure_reason": "The optimizer dropped this order to satisfy planning constraints for the overall plan." } ] } ], "pagination_token": "bvdshjbcjksbcjk"}{ "detail": {}, "message": "string"}{ "detail": { "<location>": { "<field_name>": [ "string" ] } }, "message": "string"}Track Orders POST
This API allows the creation and immediate tracking of order fulfillment. If the route has been planned and exists in the HyperTrack system, then tracking can be initiated using the route_handle.
Create an order export job POST
Creates an asynchronous job to export orders to CSV.gz file. Returns a job_id that can be used to check status. Download link will be sent via email when ready.